package jp.sourceforge.projects.ee2e.core.snmpedit;

import org.eclipse.ui.editors.text.TextEditor;
import jp.sourceforge.projects.ee2e.core.ttledit.TtlColorProvider;

public class SnmpEditor extends TextEditor {

	private TtlColorProvider provider;
	/**
	 * Constructor for SampleEditor.
	 */
	public SnmpEditor() {
		super();
		provider = new TtlColorProvider();
		setSourceViewerConfiguration(new SnmpConfiguration(provider));
	}
	public void dispose() {
		provider.dispose();
		super.dispose();
	}
	
}
